Product comparison · 2 ip phones

HP Poly Edge B20 IP Phone and PoE-enabled vs Yealink T58W(Pro) with Camera

Add a product
  • 25specifications compared
  • 15differ
  • 10identical
  • 63known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 1 more RJ-9 ports quantity than the HP Poly Edge B20 IP Phone and PoE-enabled (2 vs 1). The Yealink T58W(Pro) with Camera has 148 mm more package width than the HP Poly Edge B20 IP Phone and PoE-enabled (324 mm vs 176 mm). The Yealink T58W(Pro) with Camera has 130 mm more package depth than the HP Poly Edge B20 IP Phone and PoE-enabled (293 mm vs 163 mm). Only the Yealink T58W(Pro) with Camera has touchscreen. Only the Yealink T58W(Pro) with Camera has Wi-Fi.

  • Handset type
    • Edge B20 IP Phone and PoE-enabled:Wired handset
    • T58W(Pro) with Camera:Wireless handset
  • Product colour
    • Edge B20 IP Phone and PoE-enabled:Black
    • T58W(Pro) with Camera:Grey
  • Display diagonal
    • Edge B20 IP Phone and PoE-enabled:7.11 cm (2.8")
    • T58W(Pro) with Camera:17.8 cm (7")
  • Touchscreen
    • Edge B20 IP Phone and PoE-enabled:No
    • T58W(Pro) with Camera:Yes
  • Ethernet LAN data rates
    • Edge B20 IP Phone and PoE-enabled:10,100,1000 Mbit/s
    • T58W(Pro) with Camera:1000 Mbit/s
  • Wi-Fi
    • Edge B20 IP Phone and PoE-enabled:No
    • T58W(Pro) with Camera:Yes
  • Bluetooth
    • Edge B20 IP Phone and PoE-enabled:No
    • T58W(Pro) with Camera:Yes
  • RJ-9 ports quantity
    • Edge B20 IP Phone and PoE-enabled:1
    • T58W(Pro) with Camera:2

Side by side

Differences highlightedShow differences only (off)
Comparison of Edge B20 IP Phone and PoE-enabled, T58W(Pro) with Camera
88 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourDiffersBlackGrey
Wall mountableYesYes
MountingKnown for oneDesk/WallUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityKnown for oneUnknown — not stated by the sourceYes
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Lines quantityKnown for one2 linesUnknown — not stated by the source
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Display2 differ
DisplayLCDLCD
Display diagonalDiffers7.11 cm (2.8")17.8 cm (7")
Display resolutionKnown for oneUnknown — not stated by the source1024 x 600 pixels
TouchscreenDiffersNoYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
SpeakerphoneYesYes
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersG.711alaw, G.711ulaw, G.722, G.729ab, OPUS, iLBCG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Network3 differ
Ethernet LANYesYes
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s1000 Mbit/s
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiDiffersNoYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothDiffersNoYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfaces1 differ
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantityDiffers12
Headset connectivityKnown for one3.5 mmUnknown — not stated by the source
Poweridentical
Power over Ethernet (PoE)YesYes
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 95%5 - 90%
Operating temperature (T-T)Differs0 - 40 °C-10 - 45 °C
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Weight & dimensions4 differ
WidthKnown for oneUnknown — not stated by the source259.4 mm
DepthKnown for oneUnknown — not stated by the source220 mm
HeightKnown for oneUnknown — not stated by the source239 mm
Package widthDiffers176 mm324 mm
Package depthDiffers163 mm293 mm
Package heightDiffers44 mm128 mm
Package weightDiffers900 g8.8 kg
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)
Mounting kitKnown for oneYesUnknown — not stated by the source
AC adapter includedKnown for oneYesUnknown — not stated by the source
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
HandsetKnown for oneYesUnknown — not stated by the source
Stand includedKnown for oneYesUnknown — not stated by the source
Certificatesidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
Logistics dataidentical
Country of originKnown for oneChinaUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons